{
  num: -356002,
  accuracy: true, 
  basePower: 0,
  category: "Status",
  name: "Tear shelter",
  pp: 5,
  priority: 0,
  flags: { snatch: 1, metronome: 1, allyanim: 1 },
  
  
  onHit(source) {
    
    const allies = source.side.active.filter(ally => 
      ally && !ally.fainted
    );
    
    
    let boosted = false;
    for (const ally of allies) {
      
      const success = this.boost({def: 1, spd: 1}, ally, source);
      if (success) {
        boosted = true;
      }
    }
    
    
    if (!boosted) {
      this.add('-nothing', source, '[from] move: Tear shelter');
    } else {
      this.add('-activate', source, 'move: Tear shelter');
    }
  },
  
  
  onPrepareHit(target, source) {
    this.add('-anim', source, "Light Screen");
    this.add('-anim', source, "Reflect");
  },
  
  
  desc: "令友方全体的物防和特防各提升1级。",
  shortDesc: "我方双防+1。",
  target: "allySide", 
  type: "Psychic",
  contestType: "Clever"
}